Skip to main content
POST
/
order_service.v1.OrderService
/
GetOrder
GetOrder
curl --request POST \
  --url https://api.fairground.fi/order_service.v1.OrderService/GetOrder \
  --header 'Authorization: Bearer <token>' \
  --header 'Connect-Protocol-Version: <connect-protocol-version>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "orderId": 123,
  "market": {
    "marketId": 123
  },
  "reduceOnly": true
}
'
{
  "order": {
    "owner": "<string>",
    "orderId": 123,
    "timestamp": "2023-11-07T05:31:56Z",
    "marketId": 123,
    "market": "<string>",
    "type": "ORDER_TYPE_MARKET",
    "side": "SIDE_LONG",
    "thresholdPrice": 123,
    "size": 123,
    "leverage": 123,
    "status": "ORDER_STATUS_PENDING",
    "filledSize": 123,
    "unfilledSize": 123,
    "reduceOnly": true,
    "canceled": true,
    "initialMargin": 123,
    "tickDecimals": 123,
    "fees": 123,
    "rebates": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Connect-Protocol-Version
enum<number>
required

Define the version of the Connect protocol

Available options:
1
Connect-Timeout-Ms
number

Define the timeout, in ms

Body

application/json
orderId

uint40 on-chain, using uint64 to safely accommodate full range

market
market · object

uint16 on-chain, using uint64 for protobuf compatibility

reduceOnly
boolean

Response

Success

order
order · object